Taifa Identity. Docs
OpenAPI Developers

API reference

Reviewed authentication policy

Management API contract View .md

4 management API operations for Reviewed authentication policy.

GET/v1/policies

Policies

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

POST/v1/policies/reviews

Propose

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredProposal

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
accessTokenLifespanintegerYesValidation: minimum 60; maximum 3600
ssoSessionIdleTimeoutintegerYesValidation: minimum 60; maximum 28800
ssoSessionMaxLifespanintegerYesValidation: minimum 300; maximum 86400

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/policies/reviews/{review_id}/approve

Approve

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
review_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredApproval

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
rolestringYes

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/policies/reviews/{review_id}/reconcile

Reconcile

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
review_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredMutation

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section